//  Timline+UI.swift
//  Tusker
//
//  Created by Shadowfacts on 6/11/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit
import Pachyderm

extension Timeline {
    
    var title: String {
        switch self {
        case .home:
            return "Home"
        case let .public(local):
            return local ? "Local" : "Federated"
        case let .tag(hashtag):
            return "#\(hashtag)"
        case .list:
            return "List"
        case .direct:
            return "Direct"
        }
    }
    
}
